Composite Searching
Composite search in Greece enables clients to automate the selection of multiple services, processing verification inputs through successive data sources and returning responses from each selected service.
Example - API Requests and Responses with following services configured:
Greece Credit Bureau Greece Consumer
- AuthorizationstringrequiredDescription
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringDescription
- stringrequired
- identityVariablesobjectDescription
- taxIDNostringDescription
- phoneNostringDescription
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- emailAddressboolean
- firstNameboolean
- lastNameboolean
- phoneNoboolean
- returnedDataobjectDescription
- altAddressMatchScoreobjectDescription
- addressElement1string
- addressElement3string
- addressElement4string
- addressElement5boolean
- altNameMatchScoreobjectDescription
- firstNamestring
- lastNamestring
- middleNamestring
- remarksarrayDescription
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQzNDYyNDQ4LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2NjQ2MTUsImV4cCI6MTc0MzQ5MTI0OCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.D_mGA78PBG_p_wYy-JcKCy28Rk8CX_U0IADn8DeEL8aSw3cnusbiDefJIqE_j74QcKu0IXNNpE-9SoQUSL8fAg' \
--data '{
"countryCode": "GR",
"service": [
"Greece Credit Bureau",
"Greece Consumer"
],
"clientReference": "Test_0001",
"firstName": "CLFNAME",
"middleName": "CLMNAME",
"lastName": "CLLNAME",
"gender": "Female",
"dateOfBirth": "1995-08-01",
"addressElement1": "CLADDRESS 1",
"addressElement3": "CLCITY",
"addressElement4": "CLSTATE",
"addressElement5": "99999",
"identityVariables": {
"taxIDNo": "888888888",
"phoneNo": "8888888888"
}
}'{
"countryCode": "Greece",
"clientReference": "Test_0001",
"reportingReference": "DZ-5cf7741a-12bd-424a-9a0c-18cbb1bf5814",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Greece Consumer": {
"status": 2,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": false,
"safeHarbourScore": "none",
"nameMatchScore": "0.000",
"addressMatchScore": "0.000",
"verifications": {
"addressElement1": false,
"addressElement3": false,
"addressElement5": false,
"dateOfBirth": false,
"firstName": false,
"lastName": false,
"phoneNo": false
},
"returnedData": {}
},
"Greece Credit Bureau": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "0.900",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"firstName": true,
"gender": true,
"lastName": true,
"middleName": true,
"phoneNo": true,
"taxIDNo": false
},
"returnedData": {}
}
},
"remarks": []
}{
"message": "Ain't no cake like that."
}Service Responses Overview
Each service returns its own self-contained response block, ensuring modular and source-specific verification results. Consumers of this API should handle varying response structures dynamically based on the requested services.
Service Responses Element
The serviceResponses object in the API response contains verification results from one or more data sources, structured under their respective service names. Each service returns a distinct response block with service-specific data.
Structure and Behavior:
- Each key within serviceResponses corresponds to a service name, representing an individual verification source.
- Services may return data from a single source or multiple sources in a sequenced API call.
- The structure of each service response varies, with fields such as status, identityVerified, and safeHarbourScore differing between services.
- The verifications block contains service-specific boolean indicators for individual verification checks (e.g., addressElement1, dateOfBirth, firstName).
- The returnedData block provides metadata (if applicable).